Professional Web Applications Themes

freebsd-questions Digest, Vol 91, Issue 41 - FreeBSD

Brian John wrote:   The mozilla included with OpenOffice.org needs patches to work with the current Freetype2 in ports. Those patches have not been comitted yet, so for now you have to build without mozilla. make -DWITHOUT_MOZILLA install clean Christopher...

  1. #1

    Default Re: freebsd-questions Digest, Vol 91, Issue 41

    Brian John wrote:
     
    The mozilla included with OpenOffice.org needs patches to work with the
    current Freetype2 in ports. Those patches have not been comitted yet,
    so for now you have to build without mozilla.

    make -DWITHOUT_MOZILLA install clean

    Christopher
    Christopher Guest

  2. #2

    Default Re: freebsd-questions Digest, Vol 91, Issue 41

    On 03/16/05 20:23:13, Christopher Kelley wrote: 
    > The mozilla included with OpenOffice.org needs patches to work with
    > the current Freetype2 in ports. Those patches have not been comitted
    > yet, so for now you have to build without mozilla.
    >
    > make -DWITHOUT_MOZILLA install clean
    >
    > Christopher
    > _______________________________________________[/ref]

    What about WITH_MOZILLA=firefox in /etc/make.conf. Will OO.org respect
    that and not build mozilla? If you use firefox that is.

    Jason Guest

  3. #3

    Default Re: cannot build openoffice

    Jason Henson wrote:
     
    >> The mozilla included with OpenOffice.org needs patches to work with
    >> the current Freetype2 in ports. Those patches have not been
    >> comitted yet, so for now you have to build without mozilla.
    >>
    >> make -DWITHOUT_MOZILLA install clean
    >>[/ref]
    >
    > What about WITH_MOZILLA=firefox in /etc/make.conf. Will OO.org
    > respect that and not build mozilla? If you use firefox that is.
    >[/ref]
    I don't know for sure, but looking through the Makefile for OOo, it
    doesn't look like it. The way I understand it, OOo doesn't build the
    www/mozilla port (e.g. mozilla is not a depency of OOo). Looking at the
    Makefile for OOo, it looks like it specifially fetches and builds an old
    version of Mozilla (1.0), so I'd really think that setting
    WITH_MOZILLA=firefox wouldn't have any effect. There doesn't seem to be
    any place in the Makefile that it would check for this.

    Somebody who REALLY knows the answer probably should give the exact
    answer, but I'd feel guilt about not responding if I didn't at least
    offer my observations. :)

    Also, OT, but sorry about the botched subject heading in the original
    reply. My bad.

    Christopher

    Christopher Guest

Similar Threads

  1. Replies: 2
    Last Post: March 20th, 01:38 PM
  2. freebsd-questions Digest, Vol 89, Issue 20
    By Geoff Glasson in forum FreeBSD
    Replies: 0
    Last Post: February 25th, 05:38 AM
  3. freebsd-questions Digest, Vol 88, Issue 68
    By Matt Rechkemmer in forum FreeBSD
    Replies: 0
    Last Post: February 20th, 12:39 AM
  4. rubynet-announce Digest, Vol 9, Issue 1
    By rubynet-announce-request@lists.rubynet.org in forum Ruby
    Replies: 0
    Last Post: November 15th, 08:00 PM
  5. rubynet-announce Digest, Vol 8, Issue 1
    By rubynet-announce-request@lists.rubynet.org in forum Ruby
    Replies: 0
    Last Post: October 18th, 07:00 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139